#include <stdio.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <unistd.h>
#include "vosid.h"

int pattern_check()
{
 char *buf,x,y;
 
 if (pattern_b==0) return -1;
 
 patternf=open(patternfn,O_RDONLY);
 if (patternf==-1) { perror(patternfn); return -2; }
 
 read(patternf,buf,4);
 if (strncmp("!SSP",buf,4)!=0) { printf("%s: isn't a pattern file\n",patternfn); return -3; }

 memset(pattern,0,MAX_PATTERNLEN);
 read(patternf,buf,1);
 read(patternf,buf,1);
 x=0;
 
 while (buf[0]!=0x0a) {
  if (x==MAX_PATTERNLEN) { printf("%s: pattern too long\n",patternfn); return -4; }
  pattern[x]=buf[0];
  if (buf[0]!='0' && buf[0]!='1') { printf("Invalid pattern (%d. char \"%c\")\n",x+1,buf[0]); return -4; }
  x++;
  read(patternf,buf,1);
 }
 
 read(patternf,buf,1);
 if (buf[0]!='.') { printf("%s: isn't a pattern file\n",patternfn); return -3; }

 if (pattern[0]!='1') { printf("%s: isn't a correct pattern\n",pattern); return -4; }
 
 printf("pattern: %s\nlength: %d\n",pattern,strlen(pattern)); 

 close(patternf);
}


