#include <time.h>

#define VERSION       "v0.4b"
#define DSP_DEVICE    "/dev/dsp"
#define MIXER_DEVICE  "/dev/mixer"
#define SAMPLING_RATE 8000
#define SAMPLING_BITS 8    /* 8 or 16 bit recording                        */
#define MONO	      1    /* 1 = MONO, 2 = STEREO                         */
#define SENSITIVITY   1800 /* Something about 1500-3000 is fine with 8kHz  */
#define PINGSIZE      SAMPLING_RATE/2
#define MAX_PATTERNLEN 100
#define P_SENSITIVITY  800 /* How long it takes to "stop" a voice in 
                                the pattern detector */
#define P_SILENCE_TIME 1500 /* The time after the pattern mode thinks that
                                there is enough silence for one "0" */
int           dsp,
              mixer,
              sstyle,
              patternf,
              othersample,
              osamplename,
              samplesize,
              quiet_b,
              pattern_b,
              onoise_b,
              noiselevel,
              verbose_b,
              verbosep_b,
              time_b;

time_t	      timme;

unsigned char buffer  [SAMPLING_RATE*2+1],
	      wave    [PINGSIZE+1],
	      sampleb [SAMPLING_RATE*10],
              l       [1],
              *patternfn,
              *ctimme,
              pattern[MAX_PATTERNLEN];

